%D_upsam_exam
ima1=input('image: Barbara--1;Boat--2; Finger--3; Fabric--4; Lena--5; 0--former?')
if ima1==1
   load Bloch_barb
elseif ima1==2
   load Bloch_bo
elseif ima1==3
   load Bloch_fi
   
elseif ima1==4
   load Bloch_fa
elseif ima1==5
   load Bloch_len
   
end 
m=input('upsampling rate; ?')
Par=input('spline order; ?')
[spli, fsp]=D_smoothsplaP_2d(bloch,Par,m,0);
figure;
subplot(1,2,1)
ai(bloch)
set(gca,'YTick',0:256:512);set(gca,'YTickLabel',{})
set(gca,'XTick',0:256:512);set(gca,'XTickLabel', {})

subplot(1,2,2)
ai(spli)
set(gca,'YTick',0:256:512);set(gca,'YTickLabel',{})
set(gca,'XTick',0:256:512);set(gca,'XTickLabel', {})
